#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1000one4xi.py">
#<abstract4xi abstract = "fires to direction one and to distance 1000"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire1000one4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "

       
# -------------------------------------------------------------------------------------------------
# SHOT2ONE - COORDINATE SIGNS OF SHOOT2ONE4XI: (X + ,Y + ,Z + )
# -------------------------------------------------------------------------------------------------  

global shot2one10004xi            

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings - copied from load2one4xi.py results to access faster by verb4xi.py
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False 


                                          
# -------------------------------------------------------------------------------------------------
# 1000
# -------------------------------------------------------------------------------------------------                                          
shot2one10004xi = {
                  1:'0x0y999z',
                  2:'0x1y999z',
                  3:'0x30y999z',
                  4:'0x662y749z',
                  5:'100x631y768z',
                  6:'100x819y563z',
                  7:'104x744y659z',
                  8:'10x16y999z',
                  9:'125x916y380z',
                  10:'131x617y775z',
                  11:'137x875y462z',
                  12:'142x731y667z',
                  13:'142x807y572z',
                  14:'14x26y999z',
                  15:'14x836y547z',
                  16:'14x98y995z',
                  17:'161x602y781z',
                  18:'172x904y390z',
                  19:'178x716y674z',
                  20:'17x35y999z',
                  21:'17x88y995z',
                  22:'182x793y580z',
                  23:'182x863y471z',
                  24:'190x585y787z',
                  25:'19x45y998z',
                  26:'19x77y996z',
                  27:'1x10y999z',
                  28:'1x20y999z',
                  29:'20x56y998z',
                  30:'20x66y997z',
                  31:'213x699y682z',
                  32:'217x567y793z',
                  33:'218x890y399z',
                  34:'222x777y588z',
                  35:'225x847y480z',
                  36:'244x548y799z',
                  37:'247x680y689z',
                  38:'260x759y596z',
                  39:'264x873y408z',
                  40:'268x527y805z',
                  41:'268x830y488z',
                  42:'26x763y644z',
                  43:'280x660y696z',
                  44:'291x505y811z',
                  45:'298x738y604z',
                  46:'29x0y999z',
                  47:'29x931y362z',
                  48:'308x854y417z',
                  49:'309x810y497z',
                  50:'311x638y703z',
                  51:'313x482y817z',
                  52:'31x24y999z',
                  53:'333x459y823z',
                  54:'333x716y612z',
                  55:'341x615y710z',
                  56:'349x788y506z',
                  57:'34x653y756z',
                  58:'350x833y426z',
                  59:'352x434y828z',
                  60:'367x692y620z',
                  61:'368x409y834z',
                  62:'368x590y717z',
                  63:'37x32y998z',
                  64:'383x383y839z',
                  65:'388x764y514z',
                  66:'391x810y435z',
                  67:'395x564y724z',
                  68:'397x357y845z',
                  69:'400x667y627z',
                  70:'408x330y850z',
                  71:'418x304y855z',
                  72:'419x537y731z',
                  73:'424x738y523z',
                  74:'431x640y635z',
                  75:'431x784y444z',
                  76:'43x41y998z',
                  77:'442x508y738z',
                  78:'45x894y444z',
                  79:'460x611y643z',
                  80:'460x711y531z',
                  81:'463x479y745z',
                  82:'469x757y453z',
                  83:'47x51y997z',
                  84:'482x449y751z',
                  85:'487x581y651z',
                  86:'493x681y540z',
                  87:'499x419y758z',
                  88:'4x119y992z',
                  89:'506x727y462z',
                  90:'512x550y658z',
                  91:'514x387y764z',
                  92:'51x61y996z',
                  93:'525x650y548z',
                  94:'527x356y771z',
                  95:'536x518y666z',
                  96:'540x696y471z',
                  97:'54x71y995z',
                  98:'554x618y556z',
                  99:'557x485y673z',
                  100:'55x82y995z',
                  101:'573x663y480z',
                  102:'576x451y680z',
                  103:'57x829y555z',
                  104:'582x584y565z',
                  105:'594x416y688z',
                  106:'5x8y999z',
                  107:'603x629y488z',
                  108:'607x549y573z',
                  109:'62x103y1093z',
                  110:'631x512y581z',
                  111:'632x593y497z',
                  112:'652x475y589z',
                  113:'658x556y506z',
                  114:'66x755y652z',
                  115:'67x643y762z',
                  116:'683x518y514z',
                  117:'77x925y371z',
                  118:'91x886y453z',
                  119:'9x109y993z'}  
                         

#"
#"/>
    

# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire1000one4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire1000one4xi(queue2one, consumer_channel2one, publisher_channel2one):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1000ONE4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE1000ONE4XI -  QUEUE2ONE: ", queue2one)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1000ONE4XI -  CONSUMER_CHANNEL2ONE: ", consumer_channel2one)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1000ONE4XI -  PUBLISHER_CHANNEL2ONE: ", publisher_channel2one)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1000ONE4XI - TRYING TO RETURN BY PUTTING SHOT2ONE10004XI TO QUEUE2ONE: ", queue2one, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2one.put(shot2one10004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1000ONE4XI - SUCCEEDED TO PUT SHOT2ONE10004XI TO QUEUE2ONE: ", queue2one, " - TIME: ", time4xi()) 
            # SUCCEEDED TO PUT SHOT2ONE10004XI TO QUEUE2ONE:  <queue4xi.Queue4Xi object at 0x02AF7090>  - TIME:  23:45:06 08/24/10 Pacific Daylight Time  
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1000ONE4XI *** FAILED TO PUT SHOT2ONE10004XI TO QUEUE2ONE: ", queue2one, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1000ONE4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2ONE: ", publisher_channel2one, " - TIME: ", time4xi())
        #
         
    if ack2put is True:
        message2send4one = "<ack2put4xi>queue2one8shot2one10004xi</ack2put4xi>"
    else:
        message2send4one = "<nack2put4xi>queue2one8shot2one10004xi</nack2put4xi>" 
                     
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------

        publisher_channel2one.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1000ONE4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2ONE: ", publisher_channel2one, " - TIME: ", time4xi()) 
            # SENT MESSAGE2SEND4ONE:  <ack2put4xi>queue2one8shot2one10004xi</ack2put4xi>  TO PUBLISHER_CHANNEL2ONE:  <read-write PipeConnection, handle 260>  - TIME:  23:45:06 08/24/10 Pacific Daylight Time 
        
    except:
        print(" (STEP 3C/33) OF FIRE1000ONE4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2ONE: ", publisher_channel2one, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1000ONE4XI - RETURNING QUEUE OBJECT QUEUE2ONE: ", queue2one, " - TIME: ", time4xi())  
        # 
            
    return queue2one    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1000one4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
